Bug 173289 - No powernow-k8 in x86_64 kernel
No powernow-k8 in x86_64 kernel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 18:13 EST by Kenneth Porter
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-23 18:37:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with cpufreq.debug=7 (22.61 KB, text/plain)
2005-11-16 06:27 EST, Kenneth Porter
no flags Details

  None (edit)
Description Kenneth Porter 2005-11-15 18:13:53 EST
In the latest update kernel, kernel-2.6.14-1.1637_FC4, for x86_64 there is no
powernow-k8.ko in the /lib/modules tree. The module is present in the i386 kernel.
Comment 1 Kenneth Porter 2005-11-15 18:33:25 EST
Digging around in the SRPM, I see that the config for powernow-k8 on x86_64 is
"y", not "m". (It's "m" for i386.) Yet I don't see any info in sysfs. The
directory /sys/devices/system/cpu/cpu0 is empty. cpuspeed's initscript fails
attempting to modprobe acpi-cpufreq, and there's no separate module to load
instead. (See bug 170979.)
Comment 2 Dave Jones 2005-11-15 22:11:20 EST
Can you paste the output of dmesg please (also boot with cpufreq.debug=7)
Comment 3 Kenneth Porter 2005-11-16 06:26:44 EST
Attaching. I see of particular note that it's not picking up any tables from the
BIOS:

powernow-k8: Found 1 AMD Athlon 64 / Opteron processors (version 1.50.4)
cpufreq-core: trying to register driver powernow-k8
cpufreq-core: adding CPU 0
powernow-k8: register performance failed: bad ACPI data
powernow-k8: BIOS error - no PSB or ACPI _PSS objects
cpufreq-core: initialization failed
cpufreq-core: no CPU initialized for driver powernow-k8
cpufreq-core: unregistering CPU 0

The motherboard is a DFI LAN Party UT nF4 Ultra D with a Venice core installed.

http://us.dfi.com.tw/Product/xx_product_spec_details_r_us.jsp?PRODUCT_ID=3471&CATEGORY_TYPE=LP&SITE=US
Comment 4 Kenneth Porter 2005-11-16 06:27:58 EST
Created attachment 121118 [details]
dmesg with cpufreq.debug=7
Comment 5 Kenneth Porter 2005-11-23 18:37:02 EST
Updating the BIOS to version 623-3 allows powernow-k8 to load. The cpuspeed
initscript now completes successfully. It would be desirable if the error
message about the BIOS error was available at normal output level, as that's
what points to the necessary fix.
Comment 6 Dave Jones 2005-12-06 18:01:55 EST
agreed. I've made that change in the upstream cpufreq tree, it'll filter into
Linus' tree shortly after 2.6.15, and Fedora shortly after that.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.